# module RSS::Maker::AtomCategory

### Public Instance Methods

to_feed(feed, current) click to toggle source

    # File lib/rss/maker/atom.rb, line 85
    def to_feed(feed, current)
      category = feed.class::Category.new
      set = setup_values(category)
      if set
        current.categories << category
        set_parent(category, current)
        setup_other_elements(feed)
      else
        raise NotSetError.new(self.class.not_set_name,
                              not_set_required_variables)
      end
    end

### Private Instance Methods

required_variable_names() click to toggle source

    # File lib/rss/maker/atom.rb, line 99
    def required_variable_names
      %w(term)
    end

variables() click to toggle source
Calls superclass method

    # File lib/rss/maker/atom.rb, line 103
    def variables
      super + ["term", "scheme"]
    end